Tweet'ler
Yeniden gönderenleri getir
GET /v1/tweets/{tweet_id}/retweeters reads 2 kredi
Bir gönderiyi yeniden gönderen hesaplar, tam profiller olarak.
Sorgu parametreleri
| Sorgu parametresi | Tür | Anlamı |
|---|---|---|
count | int 1–100 = 20 | İstenen sayfa boyutu; X bunu ipucu olarak değerlendirir |
cursor | string | Önceki sayfanın next_cursor değerinden |
yanıt
Gönderi kimliği, bu sayfadaki yeniden gönderen hesaplar ve sonraki sayfa için bir imleç (sonda null). Bilinmeyen bir gönderi imleçsiz boş bir liste verir.
Durum: 200, 422, 429, 502
istek
curl https://api.xsignalfeed.com/v1/tweets/2099875660290228642/retweeters?count=20 \ -H "Authorization: Bearer xsf_your_key"
yanıt · 200 / 422
{
"tweet_id": "2099875660290228642",
"users": [
{
"id": "2029400279339446272",
"screen_name": "…",
"name": "…",
"bio": "…",
"avatar": "https://pbs.twimg.com/profile_images/…/7pUS7kMJ_normal.jpg",
"banner": "https://pbs.twimg.com/profile_banners/…/1772682121",
"followers": 6035,
"following": 3469,
"tweets": 34341,
"location": "",
"url": "",
"verified": true,
"verified_type": "blue",
"protected": false,
"created_at": "2026-03-05T03:37:18Z",
"category": null
},
{
"…": "…"
}
],
"next_cursor": "HBaAgICn44npijQAAA=="
}